%global commit ac1e7e4b0cdd37e64f9af7256b8a4568c5546ec2
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout 20140421git
%global bashcompdir %(pkg-config --variable=completionsdir bash-completion)

Name:           the_silver_searcher
Version:        0.21.0
Release:        1.%{checkout}%{?dist}
Summary:        Super-fast text searching tool
Group:          Applications/Text
License:        ASL 2.0 and BSD
URL:            https://github.com/ggreer/the_silver_searcher
Source:         https://github.com/ggreer/the_silver_searcher/archive/%{commit}/%{version}-%{shortcommit}.tar.gz

BuildRequires:  pkgconfig
BuildRequires:  autoconf
BuildRequires:  pcre-devel
BuildRequires:  automake
BuildRequires:  xz-devel
BuildRequires:  zlib-devel
BuildRequires:  bash-completion

%description
The Silver Searcher is a code searching tool similar to ack, 
with a focus on speed.

%prep
%setup -q -n %{name}-%{version}-%{checkout}

%build
aclocal
autoconf
autoheader
automake --add-missing
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{bashcompdir}
install -pm 0644 ag.bashcomp.sh $RPM_BUILD_ROOT%{bashcompdir}/ag

%files
%defattr(-,root,root,-)
%{_bindir}/ag
%{_mandir}/man1/ag.1*
%{_datadir}/the_silver_searcher
%(dirname %{bashcompdir})
%doc README.md LICENSE

%changelog
* Thu Mar 20 2014 Kenjiro Nakayama <nakayamakenjiro@gmail.com> - 0.21.0-1
- update to 0.21.0

* Fri Jan 17 2014 Kenjiro Nakayama <nakayamakenjiro@gmail.com> - 0.18.1-1
- update to 0.18.1

* Thu Sep 12 2013 Henrik Hodne <henrik@hodne.io> - 0.16.0-2
- Initial RPM release
